View a markdown version of this page

ListServices - Next generation Resilience Hub

ListServices

Lists services.

Request Syntax

GET /v2/list-services?accountId=accountId&assessmentStatus=assessmentStatus&maxResults=maxResults&nextToken=nextToken&ouId=ouId&policyArn=policyArn&systemArn=systemArn&userJourneyId=userJourneyId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

accountId

Filter services by AWS account ID.

Length Constraints: Fixed length of 12.

Pattern: [0-9]{12}

assessmentStatus

Filter services by assessment status.

Valid Values: NOT_STARTED | PENDING | IN_PROGRESS | FAILED | SUCCESS

maxResults

Pagination page size.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

Pagination token.

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

ouId

Filter services by organizational unit (OU) identifier.

Length Constraints: Minimum length of 16. Maximum length of 68.

Pattern: ou-[a-z0-9]{4,32}-[a-z0-9]{8,32}

policyArn

ARN identifier.

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

systemArn

ARN identifier.

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

userJourneyId

Filter services by user journey identifier.

Length Constraints: Minimum length of 1. Maximum length of 255.

Pattern: \S{1,255}

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "serviceSummaries": [ { "accountId": "string", "achievability": { "availabilitySlo": "string", "multiAzRtoRpo": "string", "multiRegionRtoRpo": "string" }, "assessmentStatus": "string", "associatedSystems": [ { "systemArn": "string", "systemName": "string", "userJourneyIds": [ "string" ] } ], "createdAt": number, "dependencyDiscovery": { "status": "string", "updatedAt": number }, "name": "string", "openFindingsCount": number, "organizationId": "string", "ouId": "string", "policyArn": "string", "regions": [ "string" ], "resolvedFindingsCount": number, "serviceArn": "string", "updatedAt": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

Pagination token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2000.

Pattern: \S{1,2000}

serviceSummaries

The list of service summaries.

Type: Array of ServiceSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

InternalServerException

Internal service error.

HTTP Status Code: 500

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: